<?php
$controller = $this->request->params['controller'];
$action     = $this->request->params['action'];

$this->PluginPageHeader->addTitle( ['label' => 'Group' , 'icon' => 'fa fa-plus'] );
$this->PluginPageHeader->addSubTitle( ['label' => 'Group Register' ] );

$this->Html->addCrumb('<i class="fa fa-dashboard"></i> Dashboard', ['controller' => 'Dashboards'], ['escape' => false]);
$this->Html->addCrumb('<i class="fa fa-bars"></i> List Groups', ['action' => 'index'], ['escape' => false]);
$this->Html->addCrumb('<i class="fa fa-plus"></i> Register Group', null );
$this->Html->addCrumb('<i class="fa fa-question-circle"></i> Help', '#', ['onclick' => "showHelper( '{$controller}', '{$action}')", 'escape' => false]);

?>


<section class="container-fluid">    
    <div class="row">        
        <div class="box box-primary">
            <div class="box-header">                    
                <legend><?= __('Group Register') ?></legend>
            </div>
            <div class="box-body">
                <?= $this->Form->create($group); ?>
                <div class="row">
                    <div class="form-group col-md-6">							
                        <?php
                        echo $this->Form->input('alias', array(
                            'label'        => 'Group Name (Alias)',
                            'class'        => 'form-control text-uppercase',
                            'type'         => 'text',  
                            'placeholder'  => 'Group Name (Alias)',
                            'class'        => 'form-control text-uppercase'
                        ));
                        
                        ?>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group col-md-6">							
                        <?php
                        echo $this->Form->input('model', array(
                            'label' => 'Model',
                            'class' => 'form-control',
                        ));
                        ?>
                    </div>
                    <div class="form-group col-md-3">							
                        <?php
                        echo $this->Form->input('foreign_key', array(
                            'label' => 'Foreign Key',
                            'class' => 'form-control',
                        ));
                        ?>
                    </div>
                
                <div class="row">
                    <div class="col-md-5 col-md-offset-2">
                        <?= $this->Form->button( __( '<i class="fa fa-save"></i>  Save'),  [ 'type' =>'submit', 'class' => "btn btn-success"]); ?>
                        <?= $this->Form->button( __( '<i class="fa fa-ban"></i>  Cancel'), [ 'type' =>'reset',  'class' => "btn btn-danger"]); ?>
                    </div>
                </div>          
                <?= $this->Form->end() ?>
            </div>
            
        </div>        
    </div>
</section>